Subject: Re: Failure on test parallel-tests5.test

From: Lluís Batlle i Rossell <[email-masked]>
Date: Fri, 5 Nov 2010 13:36:28 +0100

On Mon, Nov 01, 2010 at 07:41:12PM +0100, Lluís Batlle i Rossell wrote:
> On Mon, Nov 01, 2010 at 07:07:48PM +0100, Ralf Wildenhues wrote:
> > [ http://thread.gmane.org/gmane.comp.sysutils.automake.bugs/5061 ]
> > 
> > * Lluís Batlle i Rossell wrote on Sun, Oct 31, 2010 at 05:49:00PM CET:
> > > On Sun, Oct 31, 2010 at 10:48:10AM +0100, Lluís Batlle i Rossell wrote:
> > > > On Sun, Oct 31, 2010 at 10:01:09AM +0100, Ralf Wildenhues wrote:
> > > > > (ulimit -t 300; sh -c 'while make check TESTS=parallel-tests5.test; do :; done')
> > 
> > > > > Which make implementation and version do you use?  Which distro is this?
> > > > 
> > > > It's NixOS.
> > > > gnu make 3.82.
> Ralf says that something changed about syscall restarting in linux 2.6.36, so it
> can be a problem in linux. I hope he will investigate that and keep all of us
> aware. I'll try linux 2.6.35 meanwhile.

Fixed! Ralf and Al Viro found the kernel problem, made evident in the release
2.6.36 for mips only. Fixed here:
http://git.linux-mips.org/?p=linux.git;a=commit;h=915bcf007cbf9370fa0f3a57b27cf7fdc45b3964

I reported to automake because it was the very only part of the system failing.

Thank you very much.

Regards,
Lluís.